org.apache.sysds.runtime.transform

## Class TfUtils

- java.lang.Object
- - org.apache.sysds.runtime.transform.TfUtils

- All Implemented Interfaces:
    Serializable

      public class TfUtils
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TfUtils.TfMethod`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXT_SPACE`
    `static String` | `JSON_ATTRS`
    `static String` | `JSON_CONSTS`
    `static String` | `JSON_MTHD`
    `static String` | `JSON_NBINS`
    `static String` | `TXMTD_BIN_FILE_SUFFIX`
    `static String` | `TXMTD_COLNAMES`
    `static String` | `TXMTD_MV_FILE_SUFFIX`
    `static String` | `TXMTD_MVPREFIX`
    `static String` | `TXMTD_NDPREFIX`
    `static String` | `TXMTD_RCD_DISTINCT_SUFFIX`
    `static String` | `TXMTD_RCD_MAP_SUFFIX`
    `static String` | `TXMTD_SEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `desanitizeSpaces(String token)`
    `String[]` | `getNAStrings()`
    `static boolean` | `isNA(String[] NAstrings, String w)` Function that checks if the given string is one of NA strings.
    `static String` | `sanitizeSpaces(String token)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TXMTD_MVPREFIX

          public static final String TXMTD_MVPREFIX

      See Also:
        Constant Field Values

    - #### TXMTD_NDPREFIX

          public static final String TXMTD_NDPREFIX

      See Also:
        Constant Field Values

    - #### TXMTD_SEP

          public static final String TXMTD_SEP

      See Also:
        Constant Field Values

    - #### TXMTD_COLNAMES

          public static final String TXMTD_COLNAMES

      See Also:
        Constant Field Values

    - #### TXMTD_RCD_MAP_SUFFIX

          public static final String TXMTD_RCD_MAP_SUFFIX

      See Also:
        Constant Field Values

    - #### TXMTD_RCD_DISTINCT_SUFFIX

          public static final String TXMTD_RCD_DISTINCT_SUFFIX

      See Also:
        Constant Field Values

    - #### TXMTD_BIN_FILE_SUFFIX

          public static final String TXMTD_BIN_FILE_SUFFIX

      See Also:
        Constant Field Values

    - #### TXMTD_MV_FILE_SUFFIX

          public static final String TXMTD_MV_FILE_SUFFIX

      See Also:
        Constant Field Values

    - #### JSON_ATTRS

          public static final String JSON_ATTRS

      See Also:
        Constant Field Values

    - #### JSON_MTHD

          public static final String JSON_MTHD

      See Also:
        Constant Field Values

    - #### JSON_CONSTS

          public static final String JSON_CONSTS

      See Also:
        Constant Field Values

    - #### JSON_NBINS

          public static final String JSON_NBINS

      See Also:
        Constant Field Values

    - #### EXT_SPACE

          public static final String EXT_SPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TfUtils

          public TfUtils()

  - ### Method Detail

    - #### getNAStrings

          public String[] getNAStrings()

    - #### isNA

          public static boolean isNA(String[] NAstrings,
                                     String w)

      Function that checks if the given string is one of NA strings.
      Parameters:
        `NAstrings` - array of NA strings
        `w` - string to check
      Returns:
        true if w is a NAstring

    - #### sanitizeSpaces

          public static String sanitizeSpaces(String token)

    - #### desanitizeSpaces

          public static String desanitizeSpaces(String token)

Copyright © 2021 The Apache Software Foundation. All rights reserved.